Page MenuHomePhabricator

Teach utilsOsType about NetBSD
ClosedPublic

Authored by krytarowski on Sep 3 2015, 4:39 PM.

Details

Summary

NetBSD is a free, fast, secure, and highly portable Unix-like Open Source operating system.

Diff Detail

Repository
rL LLVM

Event Timeline

krytarowski updated this revision to Diff 33988.Sep 3 2015, 4:39 PM
krytarowski retitled this revision from to Teach utilsOsType about NetBSD.
krytarowski updated this object.
krytarowski added a reviewer: joerg.
krytarowski set the repository for this revision to rL LLVM.
krytarowski added a subscriber: lldb-commits.
krytarowski added a comment.EditedSep 4 2015, 12:16 PM
$ python2.7                                                              
Python 2.7.10 (default, Jul  2 2015, 13:17:37) 
[GCC 4.8.4] on netbsd7
Type "help", "copyright", "credits" or "license" for more information.
>>> import sys
>>> print sys.platform
netbsd7
emaste added a subscriber: emaste.Sep 8 2015, 1:28 PM
emaste added inline comments.
scripts/utilsOsType.py
33

Please keep these in alpha order (other than Unknown at the top)

sas accepted this revision.Sep 8 2015, 5:04 PM
sas added a reviewer: sas.
sas added a subscriber: sas.

Nice commit summary ;)

This revision is now accepted and ready to land.Sep 8 2015, 5:04 PM
sas added a comment.Sep 8 2015, 6:22 PM

I suppose you'll want this to go in as well so I'll just do it along with the rest.

sas closed this revision.Sep 8 2015, 6:23 PM

Committed as r247116.